local _M = {_NAME = "ggfinale", _TYPE = 'module'}

local util = require "panel.util"
local panel = require "panel"
local button = require "panel.button"
-------------------------------------------------------------------------

function _M:new(t)
	t=t or {}
	local tmp, finale
--	finale = panel:new(50, 50, ui.width-100, ui.height-100)
	finale = panel:new(t)
	finale.text = ""
	finale.color_bg = util.color(.6,.6,.6);
	finale.color_fg = util.color(.0,.0,.0);

	tmp = panel:new{width=finale.width-1, height=50}
	tmp.font = t.font or 24
	tmp.text = t.data.players[1].active and "Victory!" or "Defeat!"
	tmp.color_bg = finale.color_bg
	tmp.color_fg = finale.color_fg
	tmp.align = 'center'
	tmp.border = false
	finale:add(tmp)

	tmp = button:new{x=0, y=finale.height-50, width=100, height=50}
	tmp.text = "New Game"
	function tmp.onclick()
		love.load()
	end
	finale:add(tmp)

	return finale
end

-------------------------------------------------------------------------
if _VERSION == "Lua 5.1" then _G[_M._NAME] = _M end

return _M

